
body {
    background-color: #b61924;
    color: #ffffff;
    font-size: 20px;
    font-family: 'Lato', sans-serif;
    font-weight: 300;
}

/******************************************** PARTICLES*/
#particles-js{
    height: 100vh;
    width: 100%;
    position: fixed;
    z-index:-1;
}



/*
.count-particles{ background: #000022;
    position: absolute; 
    top: 48px; 
    left: 0; 
    width: 80px; 
    color: #13E8E9; 
    font-size: .8em; 
    text-align: left;
    text-indent: 4px; 
    line-height: 14px; 
    padding-bottom: 2px; 
    font-family: Helvetica, Arial, sans-serif; 
    font-weight: bold; 
  } 
  .js-count-particles{ 
    font-size: 1.1em; 
  } 
  #stats, .count-particles{ 
    -webkit-user-select: none;
    margin-top: 5px; margin-left: 5px; 
  } #stats{ 
    border-radius: 3px 3px 0 0; 
    overflow: hidden; 
  } .count-particles{ border-radius: 0 0 3px 3px; }*/


/******************************************** IMAGENES */
#tesla {
    width: 11%;
    bottom: 0%;
    position: absolute;
    left: 45%;
    z-index: 3;
}

/********************************************* CANVAS **/
/*#canvasimagenF{
    background: #fff;
    position: relative;
    top: 25%;
    left: 30%;
    border-radius: 10px;
    position:absolute;
    box-shadow: #35080b;
    z-index: 5;
}*/
/*
#canvasimagenF{
    border: 5px solid black;
    animation: rotacion 4s linear infinite;
}*/
/*
#canvasimagenF::before{
   content: '';
   position: absolute;  
   top:-10px;
   right: -10px;
   bottom: -10px;
   left: -10px;
   border: 10px solid black;
   animation: rotacion 4s linear infinite;

   /*z-index:-2;
   width: calc(100% + 30px);
   height: calc(100% + 30px);
   background: linear-gradient(45deg, azure,black,yellow);*/



.box, .box2 {
    position:relative;
    width: 900px;
    height:500px;
    top:200px;
    left: 30%;;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(0, 0, 0);
    overflow: hidden;
    border-radius: 20px;
    z-index: 999;
}

.box::before{
    content: '';
    position: absolute;
    width: 180px;
    height: 240%;
    background-color: rgb(0, 0, 255);
    box-shadow: 0 0 15px rgb(0, 0, 0);
    animation: animate 3s linear infinite;
    z-index: 2;
}

.box::after{
    content: '';
    position: absolute;
    inset: 8px;
    background-color:azure;
    border-radius: 16px;
    box-shadow: 0 0 20px gray;
    z-index: 2;
}

@keyframes animate {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);
    }
}

#canvasimagenF{
    left: 30%;
    z-index: 8;
}
.imgsanmina{
    width: 130px;
    height: 50px;
    bottom: 0%;
    position: absolute;
    left: 85%;
    z-index: 3;
}
.copyright{
    color: white;
    position: absolute;
    left: 10%;
    top: 98%;
}

/*
.box2{
    position:relative;
    width: 900px;
    height:500px;
    top:200px;
    left: 30%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(77, 243, 51);
    overflow: hidden;
    border-radius: 20px;
    z-index: -1;
}

.box2::after{
    content: '';
    position: absolute;
    inset: 8px;
    background-color:azure;
    border-radius: 16px;
    box-shadow: 0 0 20px gray;
}*/
/*
.contenedor{
    background-color: white;
    height: 200px;
    width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
    z-index: 4;
}

#canprincipal{
    position: relative;
    color: azure;
    align-items: center;
    display: flex;
}

.first{
        z-index: 1;
        width: 1200px;
        height: 580px;
        background-color: transparent;
        border-radius: 10%;
        position: relative;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
    
}
*/

/****************************** Barra de menu  #b61924********************/
.header{

    background-color: #b61924;
    height: 80px;
    position: fixed;/*fijada a la posicion*/
    width: 20%;
    top: 0;
    left: 3%;
    box-shadow: 2px 2px 2px 5px rgba(248, 247, 247, 0.873);
    display: flex;
    object-fit: cover;
    justify-content: space-between;
}

.nav{
    display: flex;
    
    max-width: 992px;
    margin:2px auto ;
}
.nav-link{
    color: white;
    text-decoration: none ;
}
.logo{
    font-size: 30px;
    font-weight: bold;
    display: flex;
    padding: 0 40px;
    line-height: 80px;
}


/************************************************ IA **************************************/
.miVideoContainer {
    position: absolute;
    /*float: left;*/
    /*width: calc(100% - 20px);*/
    width: 900px;
    height: 500px;
    margin: 10px;
    /*cursor: pointer;*/
    z-index: 900;
}

  
.miVideoContainer p {
    position: absolute;
    padding: 2px;
    background-color: rgba(255, 153, 0, 0.961);
    color: #FFF;
    border: 1px dashed rgba(255, 255, 255, 0.7);
    z-index: 2;
    font-size: 16px;
}

/*
video {
    display: block;
  }*/

#textosobreVideo{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
    font-size: 24px;
    z-index: 15;
}

.highlighter {
    /*background: transparent;*/
    background: rgba(255, 255, 255, 0.2);
    border: 1px dashed #fdfdfd;
    z-index: 2;
    position: absolute;
    /*z-index: 7;*/
  }
/******************************** menu***************************************/
/*
.form-register{
    width: 400px;
    background: #24303c;
    padding: 30px;
    margin: auto;
    margin-top: 150px;
    border-radius: 4px;
    font-family: 'calibri';
    color: aliceblue;
    box-shadow: 7px 13px 37px #000;
}
.form-register{
    font-size: 22px;
    margin-bottom: 30px;
}
.controls{
    width: 100%;
    background: #24303c;
    padding:10px ;
    border-radius: 4px;
    margin-bottom: 16px;
    border: 1px solid #c51f1f;
    font-family: 'calibri';
    font-size: 18px;
    color: aliceblue;
}
.form-register p {
    height: 40px;
    text-align: center;
    font-size: 18px;
    line-height: 40px;
}

.form-register a{
    color: white;
    text-decoration: none;
}
.form-register a:hover {
    color: aliceblue;
    text-decoration: underline;
}

.form-register .botons{
    width: 100%;
    background:#c51f1f;
    border: none;
    padding: 12px;
    color: aliceblue;
    margin: 16px 0;
    font-size: 16px;
}

.botons{
    background:#c51f1f;
    color:#fff;
    border:none;
    position:relative;
    height:60px;
    font-size:1.6em;
    padding:0 2em;
    cursor:pointer;
    transition:800ms ease all;
    outline:none;
    align-items: center;
    justify-content: center;
  }

 .botons:hover{
    background:#fff;
    color:#c51f1f;
  }

.botons:before,.botons:after{
    content:'';
    position:absolute;
    top:0;
    right:0;
    height:2px;
    width:0;
    background:#c51f1f;
    transition:400ms ease all;
    
  }
 .botons:after{
    right:inherit;
    top:inherit;
    left:0;
    bottom:0;
  }
.botons:hover:before,.botons:hover:after{
    width:100%;
    transition:800ms ease all;
  }
  */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.form3-register {
   
    width: 400px;
    background: #24303c;
    padding: 100px;
    margin: auto;
    margin-left:770px;
    margin-top: 300px;
    border-radius:4px ;
    font-family: 'calibri';
    color: white;
    box-shadow: 7px 13px 37px #000;
    z-index: 1000;
}

.form2-register {
   
    width: 400px;
    background: #24303c;
    padding: 100px;
    margin: auto;
    margin-left:770px;
    margin-top: 300px;
    border-radius:4px ;
    font-family: 'calibri';
    color: white;
    box-shadow: 7px 13px 37px #000;
    z-index: 1000;
}


.form-register {
    width: 400px;
    background: #24303c;
    padding: 100px;
    margin: auto;
    margin-left: 470px;
    margin-top: 300px;
    border-radius:4px ;
    font-family: 'calibri';
    color: white;
    box-shadow: 7px 13px 37px #000;
    z-index: 1000;
}

/*.controls{
    position: relative;
    top: 60px;
    width: 10%;
    height: 10%;
    background: #24303c;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 30px;
    margin-top: 10px;
    border: 1px solid  #b61924;
    font-family:'calibri';
    font-size: 18px;
    color: white;
}*/

#myinput1{
    position: relative;
    top: 60px;
    width: 15%;
    height: 10%;
    left: -2%;
    background: #24303c;
    padding: 10px;
    border-radius: 6px;
   /* margin-bottom: 30px;*/
    /*margin-top: 10px;*/
    border: 1px solid  #b61924;
    font-family:'calibri';
    font-size: 18px;
    color: white;
}

#myinput2{
    position: relative;
    top: 60px;
    width: 15%;
    height: 10%;
    left: -1%;
    background: #24303c;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 30px;
    margin-top: 10px;
    border: 1px solid  #b61924;
    font-family:'calibri';
    font-size: 18px;
    color: white;
}

.inputserial{
    position: absolute;
    top: 10px;
    left: 35%;
    width:294px;
    height: 42px;
    background:#24303c ;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 30px;
    margin-top: 10px;
    border: 1px solid #b61924;
    font-family:'calibri';
    font-size: 18px;
    color:white;
    z-index: 8;
}

#ubicacion{
    position: relative;
    left: -2%;
    top:60px;
    font-family:'calibri';
    padding: 10px;
    color: white;
}

#defecto{
    position: relative;
    left: -1%;
    top:60px;
    font-family:'calibri';
    padding: 5px;
    color: white;
}

#serial{
    position: relative;
    left: 1%;
    top:10px;
    font-family:'calibri';
    color: white;
}


.form-register .botons{
    top: 60px;
    width: 8%;
    background: #fdfdfd;
    border: none;
    padding: 10px;
    color:black;
    margin:16px 0;
    font-size: 16px;
    line-height: 20px;
    box-shadow: 2px 2px 4px rgb(230, 228, 228);
}


.botons{
    left: 1%;
    height: 5%;
    color:#fff;
    border:none;
    position:relative;
    /*height:60px;*/
    font-size:1.6em;
    padding:0 2em;
    cursor:pointer;
    transition:800ms ease all;
    outline:none;
    align-items: center;
    justify-content: center;
  }

 .botons:hover{
    background:#fff;
    color:#b61924;
  }

.botons:before,.botons:after{
    content:'';
    position:absolute;
    top:0;
    right:0;
    height:2px;
    width:0;
    background: #b61924;
    transition:400ms ease all;
    
  }
 .botons:after{
    right:inherit;
    top:inherit;
    left:0;
    bottom:0;
  }
.botons:hover:before,.botons:hover:after{
    width:100%;
    transition:800ms ease all;
  }

/*** Boton de formulario para contraseña**/
.form2-register .botonsC{
    top: 40px;
    width: 8%;
    background: #fdfdfd;
    border: none;
    padding: 10px;
    color:black;
    margin:16px 0;
    font-size: 16px;
    line-height: 20px;
    box-shadow: 2px 2px 4px rgb(230, 228, 228);
}

.botonsC{
    left: 1%;
    height: 5%;
    color:#fff;
    border:none;
    position:relative;
    /*height:60px;*/
    font-size:1.6em;
    padding:0 2em;
    cursor:pointer;
    transition:800ms ease all;
    outline:none;
    align-items: center;
    justify-content: center;
}
.botonsC:hover{
    background:#fff;
    color:#b61924;
}
.botonsC:before,.botonsC:after{
    content:'';
    position:absolute;
    top:0;
    right:0;
    height:2px;
    width:0;
    background: #b61924;
    transition:400ms ease all;
    
  }
 .botonsC:after{
    right:inherit;
    top:inherit;
    left:0;
    bottom:0;
  }
.botonsC:hover:before,.botonsC:hover:after{
    width:100%;
    transition:800ms ease all;
  }

/******************* Div contraseña*/
#Contraseña{
    position: relative;
    left: -3%;
    top:40px;
    font-size: larger;
    font-family:'calibri';
    color: white;
}

#newinput{
    position: relative;
    top: 40px;
    width: 15%;
    height: 10%;
    left: -2%;
    background: #24303c;
    padding: 10px;
    border-radius: 6px;
   /* margin-bottom: 30px;*/
    /*margin-top: 10px;*/
    border: 1px solid  #b61924;
    font-family:'calibri';
    font-size: 18px;
    color: white;
}

/*****************Div agrega nuevo defecto*/
#div3{
    position: relative;
    left: -3%;
    top:40px;
    font-size:larger;
    font-family:'calibri';
    color: white;
}

#inputdiv3{
    position: relative;
    top: 40px;
    width: 15%;
    height: 10%;
    left: -2%;
    background: #24303c;
    padding: 10px;
    border-radius: 6px;
   /* margin-bottom: 30px;*/
    /*margin-top: 10px;*/
    border: 1px solid  #b61924;
    font-family:'calibri';
    font-size: 18px;
    color: white;
}

.form3-register .botonAGF{
    top: 40px;
    width: 8%;
    background: #fdfdfd;
    border: none;
    padding: 10px;
    color:black;
    margin:16px 0;
    font-size: 16px;
    line-height: 20px;
    box-shadow: 2px 2px 4px rgb(230, 228, 228);
}

.botonAGF{
    left: 1%;
    height: 5%;
    color:#fff;
    border:none;
    position:relative;
    /*height:60px;*/
    font-size:1.6em;
    padding:0 2em;
    cursor:pointer;
    transition:800ms ease all;
    outline:none;
    align-items: center;
    justify-content: center;
}
.botonAGF:hover{
    background:#fff;
    color:#b61924;
}
.botonAGF:before,.botonAGF:after{
    content:'';
    position:absolute;
    top:0;
    right:0;
    height:2px;
    width:0;
    background: #b61924;
    transition:400ms ease all;
    
  }
 .botonAGF:after{
    right:inherit;
    top:inherit;
    left:0;
    bottom:0;
  }
.botonAGF:hover:before,.botonAGF:hover:after{
    width:100%;
    transition:800ms ease all;
  }